Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access.util
Class ResultDescriptor

    java.lang.Object
      org.objectstyle.cayenne.access.util.ResultDescriptor

Deprecated. Since 1.2 replaced with RowDescriptor that provides clean and straightforward creation options instead of ResultDescriptor's obscure ways to index Cayenne attributes data.

    public class ResultDescriptor

extends java.lang.Object

Contains information about the ResultSet used to process fetched rows. ResultDescriptor is initialized by calling various "add*" methods, after that it must be indexed by calling "index".

Author:
  Andrei Adamchik

Field Summary
`protected ExtendedType[]` | `converters` Deprecated.
`protected java.util.List` | `dbAttributes` Deprecated.
`protected int[]` | `idIndexes` Deprecated.
`protected boolean` | `indexedIds` Deprecated.
`protected java.util.List` | `javaTypes` Deprecated.
`protected int[]` | `jdbcTypes` Deprecated.
`protected java.lang.String[]` | `names` Deprecated.
`protected int[]` | `outParamIndexes` Deprecated.
`protected ObjEntity` | `rootEntity` Deprecated.
`protected ExtendedTypeMap` | `typesMapping` Deprecated.

Constructor Summary
`ResultDescriptor(ExtendedTypeMap typesMapping)` Deprecated.
`ResultDescriptor(ExtendedTypeMap typesMapping, ObjEntity rootEntity)` Deprecated.

Method Summary
`void` | `addColumns(java.util.Collection dbAttributes)` Deprecated.
`void` | `addDbAttribute(DbAttribute attr)` Deprecated.
`void` | `addJavaType(java.lang.String javaType)` Deprecated.
`void` | `addJavaTypes(java.util.Collection javaTypes)` Deprecated.
`static ResultDescriptor` | `createDescriptor(ColumnDescriptor[] columns, ExtendedTypeMap typeConverters)` Deprecated. Creates and returns a ResultDescriptor for an array of ColumnDescriptors.
`static ResultDescriptor` | `createDescriptor(Procedure procedure, ExtendedTypeMap typeConverters)` Deprecated. Creates and returns a ResultDescriptor for the stored procedure parameters.
`static ResultDescriptor` | `createDescriptor(java.sql.ResultSet resultSet, ExtendedTypeMap typeConverters)` Deprecated. Creates and returns a ResultDescritor based on ResultSet metadata.
`ExtendedType[]` | `getConverters()` Deprecated.
`int[]` | `getIdIndexes(DbEntity entity)` Deprecated.
`int[]` | `getJdbcTypes()` Deprecated.
`java.lang.String[]` | `getNames()` Deprecated.
`int[]` | `getOutParamIndexes()` Deprecated.
`int` | `getResultWidth()` Deprecated. Returns a count of columns in the result.
`void` | `index()` Deprecated.
`protected void` | `indexIds(DbEntity entity)` Deprecated. Reindexes primary key based on DbEntity.
`protected void` | `initConvertersFromJavaTypes()` Deprecated.
`protected void` | `initConvertersFromMapping()` Deprecated.
`protected void` | `initDefaultConverters()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### names

    protected java.lang.String[] names

  Deprecated.

### jdbcTypes

    protected int[] jdbcTypes

  Deprecated.

### converters

    protected ExtendedType[] converters

  Deprecated.

### idIndexes

    protected int[] idIndexes

  Deprecated.

### outParamIndexes

    protected int[] outParamIndexes

  Deprecated.

### dbAttributes

    protected java.util.List dbAttributes

  Deprecated.

### javaTypes

    protected java.util.List javaTypes

  Deprecated.

### typesMapping

    protected ExtendedTypeMap typesMapping

  Deprecated.

### rootEntity

    protected ObjEntity rootEntity

  Deprecated.

### indexedIds

    protected boolean indexedIds

  Deprecated.

Constructor Detail

### ResultDescriptor

    public ResultDescriptor(ExtendedTypeMap typesMapping)

  Deprecated.

### ResultDescriptor

    public ResultDescriptor(ExtendedTypeMap typesMapping,
                            ObjEntity rootEntity)

  Deprecated.

Method Detail

### createDescriptor

    public static ResultDescriptor createDescriptor(java.sql.ResultSet resultSet,
                                                    ExtendedTypeMap typeConverters)

  Deprecated.
  Creates and returns a ResultDescritor based on ResultSet metadata.

### createDescriptor

    public static ResultDescriptor createDescriptor(ColumnDescriptor[] columns,
                                                    ExtendedTypeMap typeConverters)

  Deprecated.
  Creates and returns a ResultDescriptor for an array of ColumnDescriptors.

  Since:
    1.1

### createDescriptor

    public static ResultDescriptor createDescriptor(Procedure procedure,
                                                    ExtendedTypeMap typeConverters)

  Deprecated.
  Creates and returns a ResultDescriptor for the stored procedure parameters.

### addColumns

    public void addColumns(java.util.Collection dbAttributes)

  Deprecated.

### addDbAttribute

    public void addDbAttribute(DbAttribute attr)

  Deprecated.

### addJavaTypes

    public void addJavaTypes(java.util.Collection javaTypes)

  Deprecated.

### addJavaType

    public void addJavaType(java.lang.String javaType)

  Deprecated.

### indexIds

    protected void indexIds(DbEntity entity)

  Deprecated.
  Reindexes primary key based on DbEntity.

  Since:
    1.1

### index

    public void index()

  Deprecated.

### initConvertersFromJavaTypes

    protected void initConvertersFromJavaTypes()

  Deprecated.

### initDefaultConverters

    protected void initDefaultConverters()

  Deprecated.

### initConvertersFromMapping

    protected void initConvertersFromMapping()

  Deprecated.

### getConverters

    public ExtendedType[] getConverters()

  Deprecated.

### getIdIndexes

    public int[] getIdIndexes(DbEntity entity)

  Deprecated.
  Since:
    1.1

### getJdbcTypes

    public int[] getJdbcTypes()

  Deprecated.

### getNames

    public java.lang.String[] getNames()

  Deprecated.

### getResultWidth

    public int getResultWidth()

  Deprecated.
  Returns a count of columns in the result.

### getOutParamIndexes

    public int[] getOutParamIndexes()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.